TypeDefinitionImpl.PropertyValueImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta.impl

## Class TypeDefinitionImpl.PropertyValueImpl

- java.lang.Object
- - tv.amwa.maj.meta.impl.TypeDefinitionImpl.PropertyValueImpl

- All Implemented Interfaces:
    PropertyValue
  Direct Known Subclasses:
    TypeDefinitionCharacterImpl.CharacterValue, TypeDefinitionEnumerationImpl.EnumerationValue, TypeDefinitionExtendibleEnumerationImpl.ExtendibleEnumerationValue, TypeDefinitionFixedArrayImpl.FixedArrayValue, TypeDefinitionIndirectImpl.IndirectValue, TypeDefinitionIntegerImpl.BaseIntegerValue, TypeDefinitionObjectReferenceImpl.ObjectReferenceValue, TypeDefinitionObjectReferenceImpl.UnresolvedReferenceValue, TypeDefinitionOpaqueImpl.OpaqueValue, TypeDefinitionRecordImpl.RecordValue, TypeDefinitionRenameImpl.RenamedValue, TypeDefinitionSetImpl.SetValue, TypeDefinitionStreamImpl.StreamValue, TypeDefinitionStringImpl.BaseStringValue, TypeDefinitionVariableArrayImpl.VariableArrayValue
  Enclosing class:
    TypeDefinitionImpl

      public abstract static class TypeDefinitionImpl.PropertyValueImpl
      extends Object
      implements PropertyValue

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyValueImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Tests to see if the this property value and the given object are equal.
    `int` | `hashCode()` Computes a hash code for this property value, based on type and value.
    `String` | `toString()` Creates a string representation of the value contained in this property value.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.PropertyValue

      `getType, getValue`

- - ### Constructor Detail

    - #### PropertyValueImpl

          public PropertyValueImpl()

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `PropertyValue`

      Tests to see if the this property value and the given object are equal. Two property values are equal if-and-only-if:

      - the given object is not `null`;
      - the given object is another property value;
      - the given property value has the same type as this one;
      - the values of the given property and this one are equal according to `Object.equals(Object)` or both property values represent a `null` value.
      Specified by:
        `equals` in interface `PropertyValue`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - Property value to test equality with this one.
      Returns:
        Is this property value equal to the given property value.
      See Also:
        `Object.equals(Object)`, `MediaEngine.deepEquals(MetadataObject, Object)`

    - #### hashCode

          public int hashCode()

      Description copied from interface: `PropertyValue`

      Computes a hash code for this property value, based on type and value. This method follows the Java hash code rules.

      Specified by:
        `hashCode` in interface `PropertyValue`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        Hashcode computed for this property value.
      See Also:
        `MediaEngine.hashCode(MetadataObject)`

    - #### toString

          public String toString()

      Description copied from interface: `PropertyValue`

      Creates a string representation of the value contained in this property value. The string "null" is returned for a `null` value. The type of the value is not included.

      Specified by:
        `toString` in interface `PropertyValue`
      Overrides:
        `toString` in class `Object`
      Returns:
        String representation of the value contained in this property value.
      See Also:
        `MediaEngine.toString(MetadataObject)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.